Batch Track Notification Analytics
curl --request POST \
--url https://api.thefaithapp.com/v1/notification-analytics/batch-track \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"events": [
{
"event_type": "delivery",
"notification_id": "notification-123",
"platform": "ios"
}
]
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: [{event_type: 'delivery', notification_id: 'notification-123', platform: 'ios'}]
})
};
fetch('https://api.thefaithapp.com/v1/notification-analytics/batch-track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notification-analytics/batch-track"
payload = { "events": [
{
"event_type": "delivery",
"notification_id": "notification-123",
"platform": "ios"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"notification_id": "notification-123",
"event_type": "delivery",
"success": true
}
]
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Notification Analytics
Batch Track Notification Analytics
Records multiple notification delivery, open, or click events.
POST
/
v1
/
notification-analytics
/
batch-track
Batch Track Notification Analytics
curl --request POST \
--url https://api.thefaithapp.com/v1/notification-analytics/batch-track \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"events": [
{
"event_type": "delivery",
"notification_id": "notification-123",
"platform": "ios"
}
]
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: [{event_type: 'delivery', notification_id: 'notification-123', platform: 'ios'}]
})
};
fetch('https://api.thefaithapp.com/v1/notification-analytics/batch-track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notification-analytics/batch-track"
payload = { "events": [
{
"event_type": "delivery",
"notification_id": "notification-123",
"platform": "ios"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"notification_id": "notification-123",
"event_type": "delivery",
"success": true
}
]
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Body
application/json
Notification events.
Show child attributes
Show child attributes
Response
Batch processed.
The response is of type object.
Was this page helpful?
⌘I